Page MenuHomePhabricator

What links here (all NS) produces very incomplete list of pages
Closed, ResolvedPublic

Description

On Wikipedia, I was running a What Links Here query and hundreds of results from the user namespace appear. (I'm trying to see the full list of users that use a specific template)

So, in AWB, I do a "Make list" of "What links here (all NS)" on the same template, filter it for the user namespace, and only two (2) are displayed.

Is there some limitation I don't know about, or is this a bug? I'm using AWB 5.8.8.0.

Event Timeline

Stevietheman updated the task description. (Show Details)
Stevietheman updated the task description. (Show Details)Dec 6 2016, 4:31 PM
Stevietheman updated the task description. (Show Details)
Reedy added a comment.Dec 6 2016, 5:16 PM

Something to do with transclusions?

Yes. Transcluded userboxes.

Note that "What transcludes page (all NS)" works. But my point was that a WLH on AWB doesn't work the same as WLH on the wiki (as accessed from a browser).

Reedy added a comment.Dec 7 2016, 5:05 PM

Different default options? Which the API does differ from the user ui too

Perhaps. The user UI includes transclusions by default, I think. One can decide to hide them.

Zoranzoki21 triaged this task as Normal priority.Jul 11 2017, 12:51 PM
Zoranzoki21 added a subscriber: Zoranzoki21.
Rjwilmsi closed this task as Resolved.Jul 22 2017, 1:02 PM
Rjwilmsi claimed this task.
Rjwilmsi added a subscriber: Rjwilmsi.

It is transclusions (looking at the example provided of "Template:User wikipedia/RC Patrol").

In AWB use "What transcludes page" and you get 3064 pages in User namespace for Template:User wikipedia/RC Patrol.

There are also 12 links to template in User namespace, which is what "What Links Here" provides in AWB after filtering, so use that if you need those too.